Bug 201899 - xw9400: SAS drives not detected
xw9400: SAS drives not detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 13:54 EDT by Chris Lalancette
Modified: 2008-05-06 20:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output from xw9400 (28.94 KB, patch)
2006-08-09 17:25 EDT, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-08-09 13:54:09 EDT
Description of problem:
Using the latest rawhide tree I could find on bigpapi
(FC6-Test2-re20060803.1/5.91), I attempted to install on the SAS drive on an HP
xw9400.  While the BIOS detects the SAS drive, the installation (both i386 and
x86_64) doesn't detect the SAS drive at all, and hence, fails to install.

Version-Release number of selected component (if applicable):
devel/rawhide

How reproducible:
Always

Steps to Reproduce:
1.  Start install from latest devel/rawhide tree
  
Actual results:
Fails to detect the connected SAS drive.

Expected results:
Detects the connected SAS drive and successfully install rawhide.

Additional info:
Comment 1 Chris Lalancette 2006-08-09 17:24:16 EDT
Actually, I'm not sure if this is a problem in Megaraid, or yet another PCI/ACPI
configuration problem on the xw9400.  My lspci looks like this:

[root@dhcp83-56 ~]# lspci
00:00.0 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a2)
00:01.0 ISA bridge: nVidia Corporation MCP55 LPC Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation MCP55 SMBus (rev a3)
00:01.2 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a3)
00:02.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2)
00:04.0 IDE interface: nVidia Corporation MCP55 IDE (rev a1)
00:05.0 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3)
00:05.1 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3)
00:05.2 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a3)
00:06.0 PCI bridge: nVidia Corporation MCP55 PCI bridge (rev a2)
00:06.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
00:08.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a3)
00:09.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a3)
00:0a.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a3)
00:0f.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:05.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)
18:00.0 VGA compatible controller: nVidia Corporation NV44 [Quadro NVS 285] (rev a1)
2b:00.0 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge
(rev 06)
2b:00.1 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge
(rev 06)
[root@dhcp83-56 ~]#

I don't see any mention of the SAS controller in there.  Which probably means it
wasn't enumerated on boot.  I'll attach my dmesg, in case that is useful.
Comment 2 Chris Lalancette 2006-08-09 17:25:23 EDT
Created attachment 133887 [details]
dmesg output from xw9400
Comment 3 TAIRA Hajime 2007-01-13 23:57:58 EST
I have a same machine. Using it with RHEL4U4.
The SAS controller based LSI SAS controller.
If It is detected, you will get following result by lspci.

6b:00.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS (rev 02)

Did you insert option card in your machine?
Comment 4 Anders Franzen 2007-11-09 10:33:24 EST
I had the same problem, and found a workaround on a gentoo list.

Disable ACPI Segmentation in the BIOS settings, and it works.

Probably something in the pci scanning that cannot handle it.

/A
Comment 5 Anders Franzen 2007-11-09 10:36:15 EST
Note, I had this problem on a plain FC7 and FC7 DVD installation.
/A
Comment 7 Bug Zapper 2008-04-03 13:56:12 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Bug Zapper 2008-05-06 20:44:09 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.